package com.huiju.estateagents.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.huiju.estateagents.entity.TaLiveActivity;
import com.huiju.estateagents.entity.TaSalesBatch;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * <p>
 * Mapper 接口
 * </p>
 *
 * @author jobob
 * @since 2020-02-20
 */
@Mapper
@Component
public interface TaLiveActivityMapper extends BaseMapper<TaLiveActivity> {

    /**
     * 访问人数自增
     *
     * @param id
     * @return
     */
    Boolean addVisitNum(@Param("id") String id);

    /**
     * 批量更新直播活动状态
     *
     * @param orgId
     * @param taLiveActivityList
     */
    void updateLiveActivityStatus(@Param("orgId") Integer orgId, @Param("taLiveActivityList") List<TaLiveActivity> taLiveActivityList);


}
